Subject: RE: [RFC PATCH net-next v6 2/9] i2c: designware: Add driver support for Wangxun 10Gb NIC

From: Jiawen Wu <[email-masked]>
Date: Sat, 6 May 2023 17:29:15 +0800

On Saturday, May 6, 2023 4:11 AM, [email-masked] wrote:
> Fri, May 05, 2023 at 09:48:01PM +0300, [email-masked] kirjoitti:
> > Fri, May 05, 2023 at 03:42:21PM +0800, Jiawen Wu kirjoitti:
> 
> ...
> 
> > > +	device_property_read_u32(&pdev->dev, "wx,i2c-snps-model", &dev->flags);
> >
> > I believe in your case it should be named something like
> > "linux,i2c-synopsys-platform". But in any case this I leave
> > to the more experienced people.
> 
> Or "snps,i2c-platform", I dunno...

I thought you wanted me to introduce a property specific to my device,
so I named it "wx,...". But if it's a universal property for platform device,
maybe it's necessary to check if flag is NULL, otherwise the second result
will overwrite it.